%global pypi_name jupyter-core
%global srcname jupyter_core

Name:           jupyter-core
Version:        5.2.0
Release:        %mkrel 2
Group:          Development/Python
Summary:        Core common functionality of Jupyter projects (tools)

License:        BSD
URL:            https://jupyter.org/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

Requires:       python3-%{name} = %{version}-%{release}
Obsoletes:      %{srcname} < 5.2.0


%description
This software component contains the base framework (application classes and
configurations) for the rest of the Jupyter projects ; it doesn't do much by
itself.

This package contains the migration tool (off IPython before 4.0) and a
path-giving utility.

%package -n     python3-%{name}
Summary:        Core common functionality of Jupyter projects for Python 3
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:	python3-%{srcname} < 5.2.0

%description -n python3-%{name}
This software component contains the base framework (application classes and
configurations) for the rest of the Jupyter projects ; it doesn't do much by
itself.

This package installs the library for Python 3.

%prep
%autosetup -p1 -n %{srcname}-%{version}

# fix shebangs
%py3_shebang_fix %{srcname}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname} jupyter

%files
%{_bindir}/jupyter
%{_bindir}/jupyter-migrate
%{_bindir}/jupyter-troubleshoot

%files -n python3-%{name} -f %{pyproject_files}
%doc README.md
%license COPYING.md


%changelog
* Mon Dec 25 2023 wally <wally> 5.2.0-2.mga10
+ Revision: 2021394
- rebuild for py3.12
- use %%pyproject_buildrequires

* Wed Feb 01 2023 wally <wally> 5.2.0-1.mga10
+ Revision: 1937383
+ rebuild (emptylog)

* Wed Feb 01 2023 papoteur <papoteur> 5.2.0-1.mga9
+ Revision: 1937310
- new 5.2.0

* Sun Apr 17 2022 joequant <joequant> 4.9.2-1.mga9
+ Revision: 1850821
- update to 3.10 and latest version

* Wed Mar 23 2022 umeabot <umeabot> 4.7.1-3.mga9
+ Revision: 1823438
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 4.7.1-2.mga9
+ Revision: 1783171
- Rebuild for python-3.10

* Sun Apr 18 2021 daviddavid <daviddavid> 4.7.1-1.mga9
+ Revision: 1716599
- new version: 4.7.1

* Tue Mar 23 2021 daviddavid <daviddavid> 4.7.0-3.mga9
+ Revision: 1708171
- fix owner of python3 sitelib dir

* Tue Mar 23 2021 daviddavid <daviddavid> 4.7.0-2.mga9
+ Revision: 1708119
- rebuild for python 3.9

* Sat Nov 21 2020 guillomovitch <guillomovitch> 4.7.0-1.mga8
+ Revision: 1648105
- new version 4.7.0

* Wed Aug 19 2020 guillomovitch <guillomovitch> 4.6.3-1.mga8
+ Revision: 1615688
- new version 4.6.3

* Tue Feb 18 2020 umeabot <umeabot> 4.6.1-2.mga8
+ Revision: 1538572
- Mageia 8 Mass Rebuild

* Sat Nov 23 2019 daviddavid <daviddavid> 4.6.1-1.mga8
+ Revision: 1462298
- new version: 4.6.1

* Sat Oct 12 2019 daviddavid <daviddavid> 4.6.0-1.mga8
+ Revision: 1452040
- new version: 4.6.0

* Mon Sep 16 2019 daviddavid <daviddavid> 4.4.0-4.mga8
+ Revision: 1442269
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 wally <wally> 4.4.0-3.mga7
+ Revision: 1350968
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 4.4.0-2.mga7
+ Revision: 1279168
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 kekepower <kekepower> 4.4.0-1.mga7
+ Revision: 1222051
- Update to version 4.4.0

* Sat Aug 05 2017 pterjan <pterjan> 4.1.0-2.mga7
+ Revision: 1135235
- Rebuild for python 3.6
+ philippem <philippem>
- typo in description
- use correct package name
- rename without underscore
- rename the package without underscore
- change source and url

* Sun Apr 17 2016 philippem <philippem> 4.1.0-1.mga6
+ Revision: 1003226
- imported package jupyter_core

